PH Philsys (Personal Information)
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/philippines/philsys-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pcnFormData": {
"first_name": "John",
"middle_name": "",
"last_name": "Doe",
"suffix": "",
"birth_date": "1990-01-01"
},
"face_liveness_session_id": "{liveness session id retrieved from the IDmeta Liveness SDK}",
"trustFlowId": 0,
"trustValidationId": "{your_created_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/philippines/philsys-check"
payload = {
"pcnFormData": {
"first_name": "John",
"middle_name": "",
"last_name": "Doe",
"suffix": "",
"birth_date": "1990-01-01"
},
"face_liveness_session_id": "{liveness session id retrieved from the IDmeta Liveness SDK}",
"trustFlowId": 0,
"trustValidationId": "{your_created_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pcnFormData: {
first_name: 'John',
middle_name: '',
last_name: 'Doe',
suffix: '',
birth_date: '1990-01-01'
},
face_liveness_session_id: '{liveness session id retrieved from the IDmeta Liveness SDK}',
trustFlowId: 0,
trustValidationId: '{your_created_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/philippines/philsys-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "PhilSys Check processed successfully",
"data": {
"status": true,
"response": "{\"data\":{\"code\":\"ACR0631\",\"token\":\"2995395506750646662461123444122211\",\"reference\":\"6103706830790849\",\"face_url\":\"https://storage.sample.com/face_url.jpeg\",\"full_name\":\"JUAN DELA CRUZ\",\"first_name\":\"JUAN\",\"middle_name\":\"DELA\",\"last_name\":\"CRUZ\",\"suffix\":null,\"gender\":\"Female\",\"marital_status\":\"Single\",\"blood_type\":\"Unknown\",\"email\":\"N/A\",\"mobile_number\":\"630123456789\",\"birth_date\":\"1998-10-28\",\"full_address\":\"PAMPANGA, PHILIPPINES, 2005\",\"address_line_1\":\"PUROK 123\",\"address_line_2\":null,\"barangay\":\"San Diego\",\"municipality\":\"Lubao\",\"province\":\"Pampanga\",\"country\":\"Philippines\",\"postal_code\":\"2005\",\"present_full_address\":\"FULL ADDRESS\",\"present_address_line_1\":\"PUROK 2\",\"present_address_line_2\":null,\"present_barangay\":\"San Vicente\",\"present_municipality\":\"Lubao\",\"present_province\":\"Pampanga\",\"present_country\":\"Philippines\",\"present_postal_code\":\"2005\",\"residency_status\":\"N/A\",\"place_of_birth\":\"LUBAO, PAMPANGA\",\"pob_municipality\":\"Lubao\",\"pob_province\":\"Pampanga\",\"pob_country\":\"Philippines\"},\"meta\":{\"tier_level\":\"Tier II\",\"result_grade\":1}}",
"isValid": true,
"faceUrl": "https://storage.googleapis.com/image-storage/philsys-face-9ce6c061-5b62-4241-adc6-7a91e42304d9.jpeg",
"fullName": "JUAN DELA CRUZ",
"firstName": "JUAN",
"middleName": "DELA",
"lastName": "CRUZ",
"suffix": null,
"gender": "Female",
"maritalStatus": "Single",
"bloodType": "Unknown",
"email": "N/A",
"mobileNumber": "630123456789",
"birthDate": "1998-10-28",
"fullAddress": "PAMPANGA, PHILIPPINES, 2005",
"addressLine1": "PUROK 123",
"addressLine2": null,
"barangay": "San Diego",
"municipality": "Lubao",
"province": "Pampanga",
"country": "Philippines",
"postalCode": "2005",
"presentFullAddress": "FULL ADDRESS",
"presentAddressLine1": "PUROK 2",
"presentAddressLine2": null,
"presentBarangay": "San Vicente",
"presentMunicipality": "Lubao",
"presentProvince": "Pampanga",
"presentCountry": "Philippines",
"presentPostalCode": "2005",
"residencyStatus": "N/A",
"placeOfBirth": "LUBAO, PAMPANGA",
"pobMunicipality": "Lubao",
"pobProvince": "Pampanga",
"pobCountry": "Philippines"
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "9af6e3d7-09c8-489e-806e-d1e67a45a3e3",
"verificationType": "scan_qr",
"metadata": null
}Philsys Check
PH Philsys (Personal Information)
Verify Philippine PhilSys records using personal information.
POST
/
api
/
v3
/
verifications
/
philippines
/
philsys-check
PH Philsys (Personal Information)
API Help Page
Verify Philippine PhilSys records using personal information.
Authorizations
Use Bearer {your_api_token} in the Authorization header.
Headers
Example:
"Bearer {your_api_token}"
Body
application/json
JSON string containing first_name, middle_name, last_name, suffix, and birth_date.
Liveness session ID retrieved from the IDmeta Liveness SDK.
Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Response
200 - application/json
PH Philsys PCN verified successfully
⌘I

